Bug 858857 - 1.0.1 Technical Notes - need reference to goferd port change
1.0.1 Technical Notes - need reference to goferd port change
Status: CLOSED CURRENTRELEASE
Product: CloudForms Common
Classification: Red Hat
Component: Docs Release Notes (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Julie
ecs-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 16:23 EDT by Corey Welton
Modified: 2012-12-10 17:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 17:02:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-09-19 16:23:11 EDT
In the tech notes -- or perhaps somewhere else (?) -- we need a note indicating that the default port for goferd has changed from 6574 to 5671.  Users behind firewalls who upgrade from 1.0 -> 1.0.1 may find themselves unable to communicate between server and client following an upgrade.

Would probably be something like this:

(*)Important:
The default port for goferd has changed between releases 1.0 and 1.0.1 of Cloud Forms System Engine, from port 6574 to 5671. Users may need to update firewall rules and/or the client config file to reflect the new port number.




https://access.redhat.com/knowledge/docs/en-US/CloudForms/1.0/html-single/Technical_Notes/index.html
Comment 1 Corey Welton 2012-09-19 16:23:57 EDT
Wonder if there might not be a situation where people will manually have to install the agent, too, if the server has been upgraded such that it is already using the new port...
Comment 2 Mike McCune 2012-09-19 16:32:30 EDT
+1, we definitely need this
Comment 3 Corey Welton 2012-09-19 16:35:17 EDT
Maybe two parts to the note:

(*)Important:
The default port for goferd has changed between releases 1.0 and 1.0.1 of Cloud Forms System Engine, from port 6574 to 5671. Users may need to update firewall rules to reflect the new port number.

Furthermore, agents for clients already registered to the System Engine instance may need to modify the client config file in order to communicate with the server.
Comment 4 Julie 2012-10-08 18:49:15 EDT
Hi Corey,
I've added the following content in Release notes:

The default port for goferd has changed from port 6574 to 5671 in CloudForms System Engine 1.0.1. Users need to update firewall rules to reflect the new port number.

For client agents already registered to CloudForms System Engine instances, modify the client configuration file in order to communicate with the server.

Could you confirm if it's correct, and could you also clarify on the second paragraph, thanks!

Cheers,
Julie
Comment 5 Mike McCune 2012-10-16 10:43:52 EDT
I might reword:

"For client agents already registered to CloudForms System Engine instances, 
modify the client configuration file in order to communicate with the server."

to something like:

For client agents already registered to CloudForms System Engine instances, you may need modify the client configuration file found at /etc/gofer/plugins/katelloplugin.conf and update the url parameter from:

 url=ssl://$(host):6574

to:

 url=ssl://$(host):5671

in order to communicate with the server.
Comment 8 Lana Brindley 2012-12-10 17:02:41 EST
This document is now publicly available on access.redhat.com. For any further issues, please raise a new bug.

LKB

Note You need to log in before you can comment on or make changes to this bug.